Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface TreeListener

All Superinterfaces:
  java.util.EventListener

Deprecated. Use `SelectionHandler`, `OpenHandler`, and `CloseHandler` instead

    @Deprecated
    public interface TreeListener

extends java.util.EventListener

Event listener interface for tree events.

Method Summary
`void` | `onTreeItemSelected(TreeItem item)` Deprecated. use `SelectionHandler.onSelection(com.google.gwt.event.logical.shared.SelectionEvent)` instead
`void` | `onTreeItemStateChanged(TreeItem item)` Deprecated. use `OpenHandler.onOpen(com.google.gwt.event.logical.shared.OpenEvent)` and/or `CloseHandler.onClose(com.google.gwt.event.logical.shared.CloseEvent)`

Method Detail

### onTreeItemSelected

    @Deprecated
    void onTreeItemSelected(TreeItem item)

  Deprecated. use `SelectionHandler.onSelection(com.google.gwt.event.logical.shared.SelectionEvent)` instead

  Fired when a tree item is selected.

  Parameters:
    `item` - the item being selected.

### onTreeItemStateChanged

    @Deprecated
    void onTreeItemStateChanged(TreeItem item)

  Deprecated. use `OpenHandler.onOpen(com.google.gwt.event.logical.shared.OpenEvent)` and/or `CloseHandler.onClose(com.google.gwt.event.logical.shared.CloseEvent)`

  Fired when a tree item is opened or closed.

  Parameters:
    `item` - the item whose state is changing.

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD